Bug 1078661 - Deprecate the usage of U+0BB8 U+0BCD U+0BB0 U+0BC0 for SRII per latest unicode standard
Deprecate the usage of U+0BB8 U+0BCD U+0BB0 U+0BC0 for SRII per latest unico...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lohit-tamil-fonts (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-20 02:41 EDT by Srikanth
Modified: 2014-11-10 01:45 EST (History)
4 users (show)

See Also:
Fixed In Version: lohit-tamil-fonts-2.91.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-10 01:45:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Srikanth 2014-03-20 02:41:42 EDT
Description of problem:

Complex glyph SRI was changed from  U+0BB8 U+0BCD U+0BB0 U+0BC0 to  U+0BB6 U+0BCD U+0BB0 U+0BC0 in Unicode 4.1. Lohit-Tamil displays the complex glyph for both forms for backward compatibility. However this also prevents migration to latest standard as some input tools too offer same functionality leading to more content created with U+0BB8 U+0BCD U+0BB0 U+0BC0 as SRI which increases the need for backward compatibility. To break this vicious cycle, I propose U+0BB8 U+0BCD U+0BB0 U+0BC0 should not be substituted with complex glyph SRI and should be displayed normally. Apple / iOS fonts already do this complying with latest unicode standard. Failing to move to single consistent representation in line with latest unicode leads to fragmentation within unicode text, a greater cause for worry than backward compatibility.

I understand the larger problem of standardization cannot happen only by changing this font, but its a start and Lohit being the only maintained free Tamil font, can help in the process.

Version-Release number of selected component (if applicable):
2.5.3

How reproducible:
Always 

Steps to Reproduce:
1. ஸ்ரீ (U+0BB8 U+0BCD U+0BB0 U+0BC0) should be displayed as ஸ்(U+0BB8 U+0BCD) ரீ(U+0BB0 U+0BC0) without a space in middle and not compounded form.

Actual results:
U+0BB8 U+0BCD U+0BB0 U+0BC0 giving complex glyph SRI

Expected results:
U+0BB8 U+0BCD U+0BB0 U+0BC0 should not give complex glyph SRI, should give U+0BB8 U+0BCD and U+0BB0 U+0BC0 seperately.

Change Required:
The line 

Ligature2: "'abvs' Above Base Substitutions in Tamil lookup 0 subtable" u0BB8_u0BCD.half u0BB0 u0BC0

in Lohit-Tamil.sfd should be removed.

Additional info:
See also bug 450699
Comment 1 Shriramana Sharma 2014-04-06 01:56:29 EDT
I have always been in favour of following the standard over keeping sticking to legacy data. If fonts continue to display non-standard sequences like this, then as Srikanth says the interoperability purpose of the standard is lost.

Also consider Arabic/Urdu-based names like tasrīn. In Tamil script they should be written as தஸ்‌ரீன் (தஸ்.ரீன் without the dot) but with the current behaviour they are displayed identical to தஶ்ரீன் whereas ஶ்ரீ is only ever found in Sanskrit-based names. (On Firefox 28 on my Kubuntu Saucy system I am able to prevent the ligature by using ZWNJ but that should not be required for normal usage.)

Previously (bug 1016984 and bug 1016989) the maintainers have refused to remove old sequences citing legacy use, but in this case such refusal would mean such Arabic-based names cannot be written naturally in Tamil script without using ZWNJ and that affects usability.
Comment 2 Pravin Satpute 2014-04-14 01:22:16 EDT
I think we can do this change in Lohit2 Tamil development. If someone request for old sequence support we can request him to use old version. 

give me couple of month for this.
Comment 3 Fedora Update System 2014-10-14 01:18:30 EDT
lohit-tamil-fonts-2.91.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lohit-tamil-fonts-2.91.0-1.fc20
Comment 4 Fedora Update System 2014-10-14 01:19:11 EDT
lohit-tamil-fonts-2.91.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lohit-tamil-fonts-2.91.0-1.fc21
Comment 5 Fedora Update System 2014-10-15 21:57:27 EDT
Package lohit-tamil-fonts-2.91.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lohit-tamil-fonts-2.91.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12828/lohit-tamil-fonts-2.91.0-1.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-10-28 06:31:31 EDT
lohit-tamil-fonts-2.91.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lohit-tamil-fonts-2.91.0-2.fc21
Comment 7 Fedora Update System 2014-11-10 01:45:32 EST
lohit-tamil-fonts-2.91.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.